lookupAssetBalances | Algorand Developer Portal

lookupAssetBalances

GET

/v2/assets/{asset-id}/balances

Lookup the list of accounts who hold this asset

Parameters

Path Parameters

asset-id
required
integer

Query Parameters

include-all
boolean
Include all items including closed accounts, deleted applications, destroyed assets, opted-out asset holdings, and closed-out application localstates.

limit
integer
Maximum number of results to return. There could be additional pages even if the limit is not reached.

next
string
The next page of results. Use the next token provided by the previous results.

currency-greater-than
integer
Results should have an amount greater than this value. MicroAlgos are the default currency unless an asset-id is provided, in which case the asset will be used.

currency-less-than
integer
Results should have an amount less than this value. MicroAlgos are the default currency unless an asset-id is provided, in which case the asset will be used.

Responses

200

(empty)

Select media type application/json

object

balances
required
Array

A simplified version of AssetHolding

object

address
required
string

amount
required
integer

deleted
Whether or not this asset holding is currently deleted from its account.

boolean

is-frozen
required
boolean

opted-in-at-round
Round during which the account opted into the asset.

integer

opted-out-at-round
Round during which the account opted out of the asset.

integer

current-round
required
Round at which the results were computed.

integer

next-token
Used for pagination, when making another request provide this token with the next parameter.

string

400

Response for errors

Select media type application/json

object

data
object

message
required
string

500

Response for errors

Select media type application/json

object

data
object

message
required
string